%global momorel 2
%global md5sum 6ba7fe0745242c33dfb8860e8fee222e


%define real_name IO-AIO

Summary: Asynchronous Input/Output
Name: perl-IO-AIO
Version: 2.33
Release: %{momorel}m%{?dist}
License: Artistic or GPL
Group: Development/Libraries
URL: http://search.cpan.org/~mlehmann/IO-AIO/
%NoSource 0 http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/IO-AIO-%{version}.tar.gz %{md5sum}
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

%description
This module implements asynchronous I/O using whatever means your operating
system supports.


%prep
%setup -q -n %{real_name}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir="%{buildroot}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod \
           %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc Changes COPYING README
%dir %{perl_vendorarch}/IO/
%{perl_vendorarch}/IO/AIO.pm
#%{perl_vendorarch}/IO/autoconf.pm
%dir %{perl_vendorarch}/auto/IO/
%{perl_vendorarch}/auto/IO/AIO/
%{_mandir}/man3/*


%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.33-2m)
- use vendor

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.33-1m)
- import to Momonga from freshrpms.net


* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 1.73-1
- Initial RPM release.
- Not sure if the autoconf.pm should be included or not...

